Bug 10453 - Installation fails after "read package information"
Installation fails after "read package information"
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Depends On:
  Show dependency treegraph
Reported: 2000-03-30 14:19 EST by Stephen Torri
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-04 10:19:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Torri 2000-03-30 14:19:49 EST
Output from anaconda:

Exception occurred:

Traceback (innermost last)
File "/usr/bin/anaconda", line 342, in? intf.run(todo, test=test)
File "/usr/lib/anaconda/text.py", line 1165, in run rc=apply (Step[1](),

File "/usr/lib/anaconda/textw/packages.py@, line 11, in __cal__
File "/usr/lib/anaconda/todo.py", line 467, in getCompsList self.comps =

File "/usr/lib/anaconda/image.py", line 8, in readComps  return Component
Set (self.tree + '/Redhat/base/comps', hdlist)

File "/usr/lib/anaconda/comps.py", line 326, in __init__
self.readCompsFile (file, self.packages)

File "/usr/lib/anaconda/comps.py", line 46, in __getItem__ return

Key Error: basesystem
Comment 1 Michael Fulbright 2000-04-03 11:26:59 EDT
We will need more information about what you were trying to do:

1) Install or upgrade
3) System parameters (ide/scsi, memory, etc)
Comment 2 Stephen Torri 2000-04-04 09:44:59 EDT
1) It was during an upgrade

2) CDROM method (bug 10452 - stated that the problem might be the cd drive or a
dirty CD) Need help in determining if the drive is going bad or the CD is dirty.

3) Dual P3 450Mhz, 256 MB Ram, 2 IDE HDs (10 GB seagate, 27.2 maxtor), 1 IDE
CDROM (toshiba 32x), 1 IDE CDRW (smart & friendly), Diamond Viper V770 (32MB)
video, Soundblaster 512, 3Com 905TX network card.
Comment 3 Michael Fulbright 2000-04-04 10:19:59 EDT
This kind of problem is almost always a hardware/media issue.  We have done alot
of 6.1->6.2 upgrade testing and I haven't heard of this particular problem
coming up.

If you burned an ISO image it would be worth trying again with a new CD blank.
Comment 4 Chemiste 2000-06-09 13:01:31 EDT
I have this problem too.

I install a new version of Redhat 6.2 ( not an upgrade ). I downloaded redhat 
6.2 two times on two server and each times i had this problem.

I have a P 166, 32 meg ram, 2 IDE HDs, 2 IDE CD-ROMS, CREATIVE BANSHEE(16meg) 

Sorry my english is poor

Note You need to log in before you can comment on or make changes to this bug.